5531 : does not support jdk 1.3 for compilation ?

I have a project, with jdk set to WAS 5.0 jdk (1.3.1 IBM).

Invoking Ctrl-F9 gives the following message :
Information:Usage: javac Information:where possible options include: Information: -g Generate all debugging info Information: -g:none Generate no debugging info Information: -g:{lines,vars,source} Generate only some debugging info Information: -O Optimize; may hinder debugging or enlarge class file Information: -verbose Output messages about what the compiler is doing Information: -deprecation Output source locations where deprecated APIs are used Information: -classpath Specify where to find user class files Information: -sourcepath Specify where to find input source files Information: -bootclasspath Override location of bootstrap class files Information: -extdirs Override location of installed extensions Information: -d Specify where to place generated class files Information: -encoding Specify character encoding used by source files Information: -target ]]> Generate class files for specific VM version
Information:Compilation completed with 1 error and 0 warnings
Information:1 error
Information:0 warnings
Error:javac: invalid flag: -source

Indeed IBM jdk 1.3.1 does not support the -source flag (it is supported for WAS 5.1 and later though).

8 comments
Comment actions Permalink

Could you please send me zipped config folder?

--
Best regards,
Eugene Zhuravlev
Software Developer
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"


0
Comment actions Permalink

here it is



Attachment(s):
config.zip
0
Comment actions Permalink

Hmm, everything is ok in the jdk table.
I can think of the following reasons:
1) The Language level set for the project is 1.4 or 1.5
2) Some modules are configured to use jdk 1.4 or 1.5, so the "-source" is included.
Could you please also send me the ipr and all the iml files of your project?

--
Best regards,
Eugene Zhuravlev
Software Developer
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

"Thibaut" <no_mail@jetbrains.com> wrote in message news:12144802.1139418663105.JavaMail.itn@is.intellij.net...

here it is



0
Comment actions Permalink

>>1) The Language level set for the project is 1.4 or 1.5

THis is probably the reason, i'll check tomorrow as soon as i'll get to work. Ashamed i didn't think about it.

0
Comment actions Permalink

OK, i just checked the project level and it is set to 1.3

here is the IPR, IMLs and config zip again, and outputs from both WAS 5.0 and WAS 5.1 javac usages



Attachment(s):
config.zip
moduleAndProjectFiles.zip
WAS5_javac_usage.txt
WAS51_javac_usage.txt
0
Comment actions Permalink

I've just realized that the report concerns Demetra, not 5.1. While 5.1 is free of this problem, the bug does exist in Demetra.
We've fixed it and the fix will be available in the next public EAP build.


--
Best regards,
Eugene Zhuravlev
Software Developer
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

"Thibaut" <no_mail@jetbrains.com> wrote in message news:12718212.1139479774570.JavaMail.itn@is.intellij.net...

OK, i just checked the project level and it is set to 1.3

>

here is the IPR, IMLs and config zip again, and outputs from both WAS 5.0 and WAS 5.1 javac usages



0
Comment actions Permalink

thanks a lot ! :)

0
Comment actions Permalink

#Build 4192 not support any IBM JDK version

0

Please sign in to leave a comment.